[arch-commits] Commit in gmp/repos (6 files)

Allan McRae allan at archlinux.org
Sun Feb 15 05:00:01 UTC 2015


    Date: Sunday, February 15, 2015 @ 06:00:01
  Author: allan
Revision: 231404

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gmp/repos/testing-i686/
  gmp/repos/testing-i686/PKGBUILD
    (from rev 231403, gmp/trunk/PKGBUILD)
  gmp/repos/testing-i686/gmp.install
    (from rev 231403, gmp/trunk/gmp.install)
  gmp/repos/testing-x86_64/
  gmp/repos/testing-x86_64/PKGBUILD
    (from rev 231403, gmp/trunk/PKGBUILD)
  gmp/repos/testing-x86_64/gmp.install
    (from rev 231403, gmp/trunk/gmp.install)

----------------------------+
 testing-i686/PKGBUILD      |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/gmp.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD    |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/gmp.install |   20 ++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: gmp/repos/testing-i686/PKGBUILD (from rev 231403, gmp/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2015-02-15 05:00:01 UTC (rev 231404)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=6.0.0
+pkgrel=2
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3' 'GPL')
+install=gmp.install
+source=(https://gmplib.org/download/gmp/gmp-${pkgver}a.tar.xz{,.sig})
+md5sums=('1e6da4e434553d2811437aa42c7f7c76'
+         'SKIP')
+validpgpkeys=('343C2FF0FBEE5EC2EDBEF399F3599FF828C67298')   # Niels Möller
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --build=${CHOST} \
+    --prefix=/usr \
+    --enable-fat --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-i686/gmp.install (from rev 231403, gmp/trunk/gmp.install)
===================================================================
--- testing-i686/gmp.install	                        (rev 0)
+++ testing-i686/gmp.install	2015-02-15 05:00:01 UTC (rev 231404)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: gmp/repos/testing-x86_64/PKGBUILD (from rev 231403, gmp/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2015-02-15 05:00:01 UTC (rev 231404)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=6.0.0
+pkgrel=2
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3' 'GPL')
+install=gmp.install
+source=(https://gmplib.org/download/gmp/gmp-${pkgver}a.tar.xz{,.sig})
+md5sums=('1e6da4e434553d2811437aa42c7f7c76'
+         'SKIP')
+validpgpkeys=('343C2FF0FBEE5EC2EDBEF399F3599FF828C67298')   # Niels Möller
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --build=${CHOST} \
+    --prefix=/usr \
+    --enable-fat --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-x86_64/gmp.install (from rev 231403, gmp/trunk/gmp.install)
===================================================================
--- testing-x86_64/gmp.install	                        (rev 0)
+++ testing-x86_64/gmp.install	2015-02-15 05:00:01 UTC (rev 231404)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list